[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Pki-devel] [PATCH] Please depend on policycoreutils-python-utils



Please review these simple patches (10.2.6 and 10.2.7)  modified from Tomas Radej's original for this bug:

Once ACKS are received, I will spin a f23 and f24 rawhide builds of pki-core-10.2.6-3.

Thanks,
-- Matt

From aea3b4f3c5a51919bdc5a998aab576273b7c37a7 Mon Sep 17 00:00:00 2001
From: Matthew Harmsen <mharmsen redhat com>
Date: Fri, 24 Jul 2015 12:16:34 -0600
Subject: [PATCH] Please depend on policycoreutils-python-utils

- Bugzilla Bug #1246620 -  [PATCH] Please depend on policycoreutils-python-utils
  [Fedora 23 and later - tradej]
---
 specs/pki-core.spec | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/specs/pki-core.spec b/specs/pki-core.spec
index 56135b7..73f0066 100644
--- a/specs/pki-core.spec
+++ b/specs/pki-core.spec
@@ -40,7 +40,7 @@ distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
 
 Name:             pki-core
 Version:          10.2.6
-Release:          2%{?dist}
+Release:          3%{?dist}
 Summary:          Certificate System - PKI Core Components
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -108,7 +108,11 @@ BuildRequires:    pylint
 BuildRequires:    python-nss
 BuildRequires:    python-requests
 BuildRequires:    libselinux-python
+%if 0%{?fedora} >= 23
+BuildRequires:    policycoreutils-python-utils
+%else
 BuildRequires:    policycoreutils-python
+%endif
 BuildRequires:    python-ldap
 BuildRequires:    junit
 BuildRequires:    jpackage-utils >= 0:1.7.5-10
@@ -374,7 +378,11 @@ Requires:         policycoreutils
 Requires:         openldap-clients
 Requires:         pki-base = %{version}-%{release}
 Requires:         pki-tools = %{version}-%{release}
+%if 0%{?fedora} >= 23
+Requires:         policycoreutils-python-utils
+%else
 Requires:         policycoreutils-python
+%endif
 
 %if 0%{?fedora} >= 21
 Requires:         selinux-policy-targeted >= 3.13.1-9
@@ -984,6 +992,9 @@ systemctl daemon-reload
 %endif # %{with server}
 
 %changelog
+* Fri Jul 24 2015 Tomas Radej <tradej redhat com> - 10.2.6-3
+- Updated dep on policycoreutils-python-utils [Fedora 23 and later]
+
 * Tue Jul 21 2015 Dogtag Team <pki-devel redhat com> 10.2.6-2
 - PKI TRAC Ticket #1506 - PKCS12Export tool returns error
 
-- 
1.8.3.1

From 318158217ae4cca9a761a582e74bfe339a1d0c13 Mon Sep 17 00:00:00 2001
From: Matthew Harmsen <mharmsen redhat com>
Date: Fri, 24 Jul 2015 12:20:56 -0600
Subject: [PATCH] Please depend on policycoreutils-python-utils

- Bugzilla Bug #1246620 -  [PATCH] Please depend on policycoreutils-python-utils
  [Fedora 23 and later - tradej]
---
 specs/pki-core.spec | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/specs/pki-core.spec b/specs/pki-core.spec
index 49edc18..1286ab5 100644
--- a/specs/pki-core.spec
+++ b/specs/pki-core.spec
@@ -40,7 +40,7 @@ distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
 
 Name:             pki-core
 Version:          10.2.7
-Release:          0.1%{?dist}
+Release:          0.2%{?dist}
 Summary:          Certificate System - PKI Core Components
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -108,7 +108,11 @@ BuildRequires:    pylint
 BuildRequires:    python-nss
 BuildRequires:    python-requests
 BuildRequires:    libselinux-python
+%if 0%{?fedora} >= 23
+BuildRequires:    policycoreutils-python-utils
+%else
 BuildRequires:    policycoreutils-python
+%endif
 BuildRequires:    python-ldap
 BuildRequires:    junit
 BuildRequires:    jpackage-utils >= 0:1.7.5-10
@@ -372,7 +376,11 @@ Requires:         policycoreutils
 Requires:         openldap-clients
 Requires:         pki-base = %{version}-%{release}
 Requires:         pki-tools = %{version}-%{release}
+%if 0%{?fedora} >= 23
+Requires:         policycoreutils-python-utils
+%else
 Requires:         policycoreutils-python
+%endif
 
 %if 0%{?fedora} >= 21
 Requires:         selinux-policy-targeted >= 3.13.1-9
@@ -981,6 +989,9 @@ systemctl daemon-reload
 %endif # %{with server}
 
 %changelog
+* Fri Jul 24 2015 Tomas Radej <tradej redhat com> - 10.2.7-0.2
+- Updated dep on policycoreutils-python-utils [Fedora 23 and later]
+
 * Sat Jul 18 2015 Dogtag Team <pki-devel redhat com> 10.2.7-0.1
 - Updated version number to 10.2.7-0.1
 
-- 
1.8.3.1


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]